<template>
  <section class="container mt-5 mb-5">
    <div class="row">
      <div class="col-4">
        <div class="list-group" id="list-tab" role="tablist">
          <a class="list-group-item list-group-item-action active" id="settings-general-list" data-toggle="list" href="#general" role="tab" aria-controls="home">Général</a>
          <a class="list-group-item list-group-item-action" id="settings-private_key-list" data-toggle="list" href="#private_key" role="tab" aria-controls="profile">Clé Privée</a>
          <a class="list-group-item list-group-item-action" id="settings-projects-list" data-toggle="list" href="#projects" role="tab" aria-controls="messages">Projets</a>
        </div>
      </div>
      <div class="col-8">
        <div class="tab-content" id="nav-tabContent">
          <div class="tab-pane fade show active" id="general" role="tabpanel" aria-labelledby="settings-general-list">
            <General />
          </div>
          <div class="tab-pane fade" id="private_key" role="tabpanel" aria-labelledby="settings-private_key-list">
            <PrivateKey />
          </div>
          <div class="tab-pane fade" id="projects" role="tabpanel" aria-labelledby="settings-projects-list">
            <PrivateKey />
          </div>
        </div>
      </div>
    </div>
  </section>
</template>

<script>
import General from '@/components/Settings/General'
import PrivateKey from '@/components/Settings/PrivateKey'

export default {
  name: 'CreateProject',
  components: { PrivateKey, General },
  data: () => {
    return {
      currentComponent: ''
    }
  },
  methods: {
    changeRoute: function (path) {
      this.currentComponent = path
    }
  }
}
</script>
